[
  {
    "chunk_id": 47,
    "chunk_type": "subreport",
    "human_description": "This is a subreport element in report 'MasterReport'. Subreport: $P{ProductsSubreport}. Connection: $P{REPORT_CONNECTION}. Return value mappings: 1. Subreport parameters: 1 - City.",
    "raw_xml": "<element kind=\"subreport\" uuid=\"92506c7a-e250-4f4b-826c-693b1df74d11\" x=\"5\" y=\"25\" width=\"325\" height=\"20\" backcolor=\"#FFCC99\" printRepeatedValues=\"false\" removeLineWhenBlank=\"true\">\n\t\t\t\t<connectionExpression>$P{REPORT_CONNECTION}</connectionExpression>\n\t\t\t\t<expression>$P{ProductsSubreport}</expression>\n\t\t\t\t<returnValue toVariable=\"ProductTotalPrice\" calculation=\"Sum\" subreportVariable=\"PriceSum\" />\n\t\t\t\t<parameter name=\"City\">\n\t\t\t\t\t<expression>$F{City}</expression>\n\t\t\t\t</parameter>\n\t\t\t</element>\n\t\t\t",
    "context": "Report 'MasterReport' subreport",
    "metadata": {
      "expression": "$P{ProductsSubreport}",
      "connectionExpression": "$P{REPORT_CONNECTION}",
      "dataSourceExpression": "",
      "returnValues": [
        {
          "toVariable": "ProductTotalPrice",
          "subreportVariable": "PriceSum",
          "calculation": "Sum"
        }
      ],
      "parameters": [
        {
          "name": "City",
          "expression": "$F{City}"
        }
      ],
      "attributes": {
        "kind": "subreport",
        "uuid": "92506c7a-e250-4f4b-826c-693b1df74d11",
        "x": "5",
        "y": "25",
        "width": "325",
        "height": "20",
        "backcolor": "#FFCC99",
        "printRepeatedValues": "false",
        "removeLineWhenBlank": "true"
      }
    }
  },
  {
    "chunk_id": 48,
    "chunk_type": "subreport",
    "human_description": "This is a subreport element in report 'MasterReport'. Subreport: \"AddressReport.jasper\". Connection: $P{REPORT_CONNECTION}. Return value mappings: 1. Subreport parameters: 1 - City.",
    "raw_xml": "<element kind=\"subreport\" uuid=\"c4b1c60e-3998-4024-b169-fe0bf12a94f4\" positionType=\"Float\" x=\"335\" y=\"25\" width=\"175\" height=\"20\" backcolor=\"#99CCFF\" removeLineWhenBlank=\"true\">\n\t\t\t\t<connectionExpression>$P{REPORT_CONNECTION}</connectionExpression>\n\t\t\t\t<expression>\"AddressReport.jasper\"</expression>\n\t\t\t\t<returnValue toVariable=\"CityAddressCount\" subreportVariable=\"REPORT_COUNT\" />\n\t\t\t\t<parameter name=\"City\">\n\t\t\t\t\t<expression>$F{City}</expression>\n\t\t\t\t</parameter>\n\t\t\t</element>\n\t\t",
    "context": "Report 'MasterReport' subreport",
    "metadata": {
      "expression": "\"AddressReport.jasper\"",
      "connectionExpression": "$P{REPORT_CONNECTION}",
      "dataSourceExpression": "",
      "returnValues": [
        {
          "toVariable": "CityAddressCount",
          "subreportVariable": "REPORT_COUNT",
          "calculation": "Nothing"
        }
      ],
      "parameters": [
        {
          "name": "City",
          "expression": "$F{City}"
        }
      ],
      "attributes": {
        "kind": "subreport",
        "uuid": "c4b1c60e-3998-4024-b169-fe0bf12a94f4",
        "positionType": "Float",
        "x": "335",
        "y": "25",
        "width": "175",
        "height": "20",
        "backcolor": "#99CCFF",
        "removeLineWhenBlank": "true"
      }
    }
  },
  {
    "chunk_id": 47,
    "chunk_type": "subreport",
    "human_description": "This is a subreport element in report 'MasterReport'. Subreport: $P{ProductsSubreport}. Connection: $P{REPORT_CONNECTION}. Return value mappings: 1. Subreport parameters: 1 - City.",
    "raw_xml": "<element kind=\"subreport\" uuid=\"92506c7a-e250-4f4b-826c-693b1df74d11\" x=\"5\" y=\"25\" width=\"325\" height=\"20\" backcolor=\"#FFCC99\" printRepeatedValues=\"false\" removeLineWhenBlank=\"true\">\n\t\t\t\t<connectionExpression>$P{REPORT_CONNECTION}</connectionExpression>\n\t\t\t\t<expression>$P{ProductsSubreport}</expression>\n\t\t\t\t<returnValue toVariable=\"ProductTotalPrice\" calculation=\"Sum\" subreportVariable=\"PriceSum\" />\n\t\t\t\t<parameter name=\"City\">\n\t\t\t\t\t<expression>$F{City}</expression>\n\t\t\t\t</parameter>\n\t\t\t</element>\n\t\t\t",
    "context": "Report 'MasterReport' subreport",
    "metadata": {
      "expression": "$P{ProductsSubreport}",
      "connectionExpression": "$P{REPORT_CONNECTION}",
      "dataSourceExpression": "",
      "returnValues": [
        {
          "toVariable": "ProductTotalPrice",
          "subreportVariable": "PriceSum",
          "calculation": "Sum"
        }
      ],
      "parameters": [
        {
          "name": "City",
          "expression": "$F{City}"
        }
      ],
      "attributes": {
        "kind": "subreport",
        "uuid": "92506c7a-e250-4f4b-826c-693b1df74d11",
        "x": "5",
        "y": "25",
        "width": "325",
        "height": "20",
        "backcolor": "#FFCC99",
        "printRepeatedValues": "false",
        "removeLineWhenBlank": "true"
      }
    }
  },
  {
    "chunk_id": 48,
    "chunk_type": "subreport",
    "human_description": "This is a subreport element in report 'MasterReport'. Subreport: \"AddressReport.jasper\". Connection: $P{REPORT_CONNECTION}. Return value mappings: 1. Subreport parameters: 1 - City.",
    "raw_xml": "<element kind=\"subreport\" uuid=\"c4b1c60e-3998-4024-b169-fe0bf12a94f4\" positionType=\"Float\" x=\"335\" y=\"25\" width=\"175\" height=\"20\" backcolor=\"#99CCFF\" removeLineWhenBlank=\"true\">\n\t\t\t\t<connectionExpression>$P{REPORT_CONNECTION}</connectionExpression>\n\t\t\t\t<expression>\"AddressReport.jasper\"</expression>\n\t\t\t\t<returnValue toVariable=\"CityAddressCount\" subreportVariable=\"REPORT_COUNT\" />\n\t\t\t\t<parameter name=\"City\">\n\t\t\t\t\t<expression>$F{City}</expression>\n\t\t\t\t</parameter>\n\t\t\t</element>\n\t\t",
    "context": "Report 'MasterReport' subreport",
    "metadata": {
      "expression": "\"AddressReport.jasper\"",
      "connectionExpression": "$P{REPORT_CONNECTION}",
      "dataSourceExpression": "",
      "returnValues": [
        {
          "toVariable": "CityAddressCount",
          "subreportVariable": "REPORT_COUNT",
          "calculation": "Nothing"
        }
      ],
      "parameters": [
        {
          "name": "City",
          "expression": "$F{City}"
        }
      ],
      "attributes": {
        "kind": "subreport",
        "uuid": "c4b1c60e-3998-4024-b169-fe0bf12a94f4",
        "positionType": "Float",
        "x": "335",
        "y": "25",
        "width": "175",
        "height": "20",
        "backcolor": "#99CCFF",
        "removeLineWhenBlank": "true"
      }
    }
  }
]